JBoss API: Class BeanCacheMonitor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Class BeanCacheMonitor

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.monitor.BeanCacheMonitor

All Implemented Interfaces:
  BeanCacheMonitorMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class BeanCacheMonitor
extends ServiceMBeanSupport
implements BeanCacheMonitorMBean

Version:
  $Revision: 1.1.6.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:
  `Monitorable`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`BeanCacheMonitor()`

Method Summary
`java.lang.String` | `getName()`
`BeanCacheSnapshot[]` | `getSnapshots()` Returns the cache data at the call instant.

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getObjectName, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanCacheMonitor

    public BeanCacheMonitor()

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getSnapshots

    public BeanCacheSnapshot[] getSnapshots()

  Description copied from interface: `BeanCacheMonitorMBean`
  Returns the cache data at the call instant.
  Specified by:
    `getSnapshots` in interface `BeanCacheMonitorMBean`
  Following copied from interface: `org.jboss.monitor.BeanCacheMonitorMBean`
  Returns:
    null if a problem is encountered while sampling the cache, otherwise an array (possibly of size 0) with the cache data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.